summaryrefslogtreecommitdiff
path: root/test/integration/framework
diff options
context:
space:
mode:
authorDavid Kalnischkies <david@kalnischkies.de>2015-10-15 09:35:52 +0200
committerDavid Kalnischkies <david@kalnischkies.de>2015-11-04 18:04:01 +0100
commit002b1bc46b18e9d309d337ddb15a6ccdfb6c9dde (patch)
tree4ba630b34486aa6fcbc90ec5a117f01b24bdf0b7 /test/integration/framework
parentf18f2338a17d3037ac0d6f81a7f1a37df6eaca01 (diff)
refer to apt-secure(8) in unsecure repositories warning
The manpage is also slightly updated to work better as a central hub to push people from all angles into the right directions without writting a book disguised as an error message.
Diffstat (limited to 'test/integration/framework')
-rw-r--r--test/integration/framework4
1 files changed, 2 insertions, 2 deletions
diff --git a/test/integration/framework b/test/integration/framework
index b4220c8b5..8b85cb71e 100644
--- a/test/integration/framework
+++ b/test/integration/framework
@@ -1661,7 +1661,7 @@ testfailuremsg() {
testfailure "$@"
msgtest 'Check that the output of the previous failed command has expected' 'failures and warnings'
local COMPAREFILE="${TMPWORKINGDIRECTORY}/rootdir/tmp/testfailuremsg.comparefile"
- grep '^\(W\|E\):' "${TMPWORKINGDIRECTORY}/rootdir/tmp/testfailure.output" > "$COMPAREFILE" 2>&1 || true
+ grep '^\(W\|E\|N\):' "${TMPWORKINGDIRECTORY}/rootdir/tmp/testfailure.output" > "$COMPAREFILE" 2>&1 || true
testoutputequal "$COMPAREFILE" echo "$CMP"
msggroup
}
@@ -1672,7 +1672,7 @@ testwarningmsg() {
testwarning "$@"
msgtest 'Check that the output of the previous warned command has expected' 'warnings'
local COMPAREFILE="${TMPWORKINGDIRECTORY}/rootdir/tmp/testwarningmsg.comparefile"
- grep '^\(W\|E\):' "${TMPWORKINGDIRECTORY}/rootdir/tmp/testwarning.output" > "$COMPAREFILE" 2>&1 || true
+ grep '^\(W\|E\|N\):' "${TMPWORKINGDIRECTORY}/rootdir/tmp/testwarning.output" > "$COMPAREFILE" 2>&1 || true
testoutputequal "$COMPAREFILE" echo "$CMP"
msggroup
}